"use strict";
this.name        = "Taxi_Galactica_Conditions";
this.author      = "phkb";
this.copyright   = "2018 phkb";
this.description = "Condition script for controlling sale of special passenger berth";
this.licence     = "CC BY-NC-SA 3.0";

//-------------------------------------------------------------------------------------------------------------
this.allowAwardEquipment = function(equipment, ship, context) {

	// always return true for scripted install
	if (context === "scripted") return true;
    if (context != "purchase") return false;
	var p = player.ship;
	var stn = p.dockedStation;
    return stn.hasRole("taxi_station");
}
